Package org.drinkless.tdlib

# Class TdApi.ChatFolderInviteLinkInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatFolderInviteLinkInfo

Enclosing class:
  `TdApi`

public static class TdApi.ChatFolderInviteLinkInfo extends TdApi.Object
Contains information about an invite link to a chat folder.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long[]`
  `addedChatIds`
  Identifiers of the chats from the link, which are added to the folder already.
  `TdApi.ChatFolderInfo`
  `chatFolderInfo`
  Basic information about the chat folder; chat folder identifier will be 0 if the user didn't have the chat folder yet.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long[]`
  `missingChatIds`
  Identifiers of the chats from the link, which aren't added to the folder yet.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatFolderInviteLinkInfo()`
  Contains information about an invite link to a chat folder.
  `ChatFolderInviteLinkInfo(TdApi.ChatFolderInfo chatFolderInfo, long[] missingChatIds, long[] addedChatIds)`
  Contains information about an invite link to a chat folder.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatFolderInfo

    public TdApi.ChatFolderInfo chatFolderInfo
    Basic information about the chat folder; chat folder identifier will be 0 if the user didn't have the chat folder yet.

  - ### missingChatIds

    public long[] missingChatIds
    Identifiers of the chats from the link, which aren't added to the folder yet.

  - ### addedChatIds

    public long[] addedChatIds
    Identifiers of the chats from the link, which are added to the folder already.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatFolderInviteLinkInfo

    public ChatFolderInviteLinkInfo()
    Contains information about an invite link to a chat folder.

  - ### ChatFolderInviteLinkInfo

    public ChatFolderInviteLinkInfo(TdApi.ChatFolderInfo chatFolderInfo, long[] missingChatIds, long[] addedChatIds)
    Contains information about an invite link to a chat folder.
    Parameters:
      `chatFolderInfo` - Basic information about the chat folder; chat folder identifier will be 0 if the user didn't have the chat folder yet.
      `missingChatIds` - Identifiers of the chats from the link, which aren't added to the folder yet.
      `addedChatIds` - Identifiers of the chats from the link, which are added to the folder already.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR